


<template>
    <div class="detail-popup">
        <popup ref="popupRef" title="银行账户详情" :async="true" width="80%" @confirm="handleSubmit" @close="handleClose">
            <el-descriptions :column="3" border>
                <el-descriptions-item label="组织名称" label-align="left" align="left" label-class-name="my-label">{{
                    formData.org_name }}</el-descriptions-item>
                <el-descriptions-item label="部门名称" label-align="left" align="left" label-class-name="my-label">{{
                    formData.dept_name }}</el-descriptions-item>
                <el-descriptions-item label="账户编码" label-align="left" align="left" label-class-name="my-label">{{
                    formData.account_sn }}</el-descriptions-item>
                <el-descriptions-item label="开户银行" label-align="left" align="left" label-class-name="my-label">{{
                    formData.deposit_bank }}</el-descriptions-item>
                <el-descriptions-item label="开户名称" label-align="left" align="left" label-class-name="my-label">{{
                    formData.account_name }}</el-descriptions-item>
                <el-descriptions-item label="账号" label-align="left" align="left" label-class-name="my-label">{{
                    formData.account }}</el-descriptions-item>
                <el-descriptions-item label="开户日期" label-align="left" align="left" label-class-name="my-label">{{
                    formData.account_opening_date }}</el-descriptions-item>
                <el-descriptions-item label="备注" label-align="left" align="left" label-class-name="my-label">{{
                    formData.remark }}</el-descriptions-item>
            </el-descriptions>
        </popup>
    </div>
</template>

<script lang="ts" setup name="customdetail">

import type { FormInstance } from 'element-plus'
import Popup from '@/components/popup/index.vue'
import { apiCustomDetail } from '@/api/custom'
import { timeFormat } from '@/utils/util'

import type { PropType } from 'vue'
defineProps({
    dictData: {
        type: Object as PropType<Record<string, any[]>>,
        default: () => ({})
    }
})
const emit = defineEmits(['success', 'close'])
const formRef = shallowRef<FormInstance>()
const popupRef = shallowRef<InstanceType<typeof Popup>>()
const formDataannex = reactive([])
const datas = reactive({
    provinceOptions: [],
    cityOptions: [],
    areaOptions: [],
});


// 表单数据
const formData = reactive({


})


// 获取详情
const setFormData = async (data: Record<any, any>) => {
    // for (const key in formData) {
    //     if (data[key] != null && data[key] != undefined) {
    //         //@ts-ignore
    //         formData[key] = data[key]

    //     }

    // }
    if (data.annex && data.annex.length > 0) {

        const arry1 = data.annex.map((item: any, index: any) => {
            return {
                name: `文件${index + 1}`,
                uri: item
            };
        });
        Object.assign(formDataannex, arry1)

    }
    Object.assign(formData, data)
    console.log(formData, '2222222222')


}

const getDetail = async (row: Record<string, any>) => {
    const data = await apiCustomDetail({
        id: row.id
    })
    setFormData(data)
}


// 提交按钮
const handleSubmit = async () => {
    popupRef.value?.close()

}

//打开弹窗
const open = () => {
    console.log('1111111')
    popupRef.value?.open()
}

// 关闭回调
const handleClose = () => {
    emit('close')
}








defineExpose({
    open,
    setFormData,
    getDetail
})
</script>
<style lang="scss" scoped>
.tit {
    font-size: 1.2em;
    margin-bottom: 10px;
}

:deep(.my-label) {
    width: 150px;
}
</style>
